#include "BlinkPlayerComponent.h"
#include "BlinkParams.h"
#include "Engine/EngineTypes.h"

class ACharacter;

void UBlinkPlayerComponent::Server_NotifyBlinkCharge_Implementation(float charge)
{

}

bool UBlinkPlayerComponent::Server_NotifyBlinkCharge_Validate(float charge)
{
	return true;
}

void UBlinkPlayerComponent::Multicast_StartBlink_Implementation(const FBlinkParams& params)
{

}

void UBlinkPlayerComponent::Local_OnMovementModeChanged(ACharacter* character, EMovementMode prevMovementMode, uint8 previousCustomMode)
{

}

UBlinkPlayerComponent::UBlinkPlayerComponent()
{

}
